Subject: Re: [Last-Call] Opsdir last call review of draft-ietf-ospf-te-link-attr-reuse-12

From: Peter Psenak <[email-masked]>
Date: Mon, 1 Jun 2020 11:54:14 +0200

Scott,

please see inline (##PP2)

On 30/05/2020 20:38, Scott O. Bradner wrote:
> thanks for the reply - see in line
> 
> 
>> On May 28, 2020, at 10:09 AM, Peter Psenak <ppsenak=[email-masked]> wrote:
>>
>> Hi Scott,
>>
>> please see inline (##PP):
>>
>> On 27/05/2020 17:17, Scott Bradner via Datatracker wrote:
>>> Reviewer: Scott Bradner
>>> Review result: Not Ready
>>> This is an OPS-DIR review of OSPF Link Traffic Engineering Attribute Reuse
>>> (draft-ietf-ospf-te-link-attr-reuse)
>>> This ID describes application-specific attribute advertisements for use in OSPF.
>>> I found this ID hard to read and recommend that it be reviewed for readability.
>>> I have a basic question about this proposal – the ID describes specific
>>> advertisements to be used when particular applications want to make use of
>>> specific link attributes and says that other applications should not make of
>>> the information in the advertisement without saying why such use would be a
>>> problem.  I can imagine some reasons but it seems to me that it would be good
>>> if this document just explained the problem it is trying to solve.
>>
>> ##PP
>>
>> There are two problems mentioned in the Introduction section:
>>
>> 1) Ambiguity in terms of which of the advertisements are to be used by RSVP-TE and which ones should not be. When RSVP was the only application using these attributes, advertisement of these attributes meant that RSVP was enabled on the link. Such link was considered as a part of the RSVP-TE topology. With other applications using and advertising these link attributes, this logic can not be used anymore, which created the mentioned ambiguity.
>>
>> 2) Lack of support for application specific values for the link attribute.
>>
>> I thought this was clear, but if it is not, please suggest what else needs to be said.
> 
> yes - I saw that but I missed seeing why these are a  problem - what harm can come form specifically the first one?
> I fully expect there are real problems but I think it would be useful to say what they are

##PP2

It's the ambiguity that causes the problem. Here's a real life example 
which triggered some of this work:

A network has RSVP-TE enabled on one subset of links, and SRTE on some 
other subset. On a link where RSVP TE is not enabled I want to advertise 
a link attribute for the purpose of some other app - let's say SRTE. As 
soon as the router that is a RSVP-TE head-end sees the link attribute 
being advertised for a link, it assumes RSVP is enabled on a link, even 
though in reality RSVP TE is not enabled on the link. If such head-end 
router tries to setup the RSVP TE path via link where RSVP-TE is not 
enabled it will fail.

I thought it was clear from the existing text, but if you believe it 
needs to be improved, please feel free to suggest the improved text.

> 
> <snip>
> 
>>
>>> Page 7 – a “User Defined Application Identifier” is introduced but never
>>> described – what uses it and what is it used for
>> ##PP
>> we provide a way for the user to advertise link attributes for the purpose of something that is not defined as standardized application. What such application might be is not subject to the specification.
> 
> can that just be said?

##PP2
sure

> 
>>
>>> Section 11 – I found this discussion of the relationship between the existence
>>> of a particular advertisement and the possible existence of an application to
>>> use that advertisement to be quite confusing – if the existence of a particular
>>> advertisement does not indicate that any application is listening why not just
>>> say that?
>>
>> ##PP
>> there are applications where the application enablement on the link is relevant - e.g. RSVP-TE - one need to make sure that RSVP is enabled on the link before sending a RSVP signaling message over it.
>>
>> There are applications, where the enablement of the application on the link is irrelevant and has nothing to do with the fact that some link attributes are advertised for the purpose of such application - e.g. LFA.
>>
>> We have provided full flexibility to support both.
> 
> I think it would help to say that in the ID

##PP2
sure

> 
> <snip>
> 
>>
>>> Section 12.3.3 – I could not tell if this section is saying that the
>>> application specific attribute advertisements could not be used if there is
>>> even a single legacy router present of if the presence of such a router means
>>> that the application specific attribute advertisements can be used but the old
>>> advertisements must also be used
>>
>> ##PP
>> a) as long as there is a single legacy router present, all routers MUST continue to advertise link attributes using legacy advertisements to allow the legacy router to function properly.
>>
>> b) new advertisements can be used in parallel and they can be used by the routers that do understand them.
>>
>> The text in 12.3.3 says:
>>
>>    "Send application specific advertisements while continuing to
>>     advertise using legacy (all advertisements are then duplicated)."
> 
> I found it confusing - can you say what you said here?

##PP2
send both new and old advertisement as soon as there is least one legacy 
router that does not understand the new advertisement.

> 
>>
>>
>>> Section 14 – it might help to say how new Sub-TLV types can be added to the registry
>>
>> ##PP
>> we are not defining a nynew registry, we only use existing ones. These registries have their own registration procedures.
> 
> I did not see a clear statement that said that was what you are doing or a clear pointer to where someone should go if they wanted to add a new value

##PP2
sorry, I must be missing something.
We are adding new code points to the existing registries. Why do we need 
to specify how to add a new value to these registries here?

thanks,
Peter

> 
> Scott
> 
>>
>> thanks,
>> Peter
>>
>>
>>
>>
>>
>>
>> -- 
>> last-call mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/last-call
> 
> 
>

---

From: "Scott O. Bradner" <[email-masked]>
Date: Mon, 1 Jun 2020 06:46:41 -0400

inline

> On Jun 1, 2020, at 5:54 AM, Peter Psenak <[email-masked]> wrote:
> 
<snip>

> 
> ##PP2
> 
> It's the ambiguity that causes the problem. Here's a real life example which triggered some of this work:
> 
> A network has RSVP-TE enabled on one subset of links, and SRTE on some other subset. On a link where RSVP TE is not enabled I want to advertise a link attribute for the purpose of some other app - let's say SRTE. As soon as the router that is a RSVP-TE head-end sees the link attribute being advertised for a link, it assumes RSVP is enabled on a link, even though in reality RSVP TE is not enabled on the link. If such head-end router tries to setup the RSVP TE path via link where RSVP-TE is not enabled it will fail.
> 
> I thought it was clear from the existing text, but if you believe it needs to be improved, please feel free to suggest the improved text.

why not add what you just sent to me?

<snip?

> send both new and old advertisement as soon as there is least one legacy router that does not understand the new advertisement.

that would be a good addition

> We are adding new code points to the existing registries. Why do we need to specify how to add a new value to these registries here?

I do not think that is what I suggested - I did not find it clear that you were adding points to an existing registry so I think that 
should be made clearer including a pointer to the instructions for adding values to that existing registry

Scott

---

From: Peter Psenak <[email-masked]>
Date: Mon, 1 Jun 2020 13:07:41 +0200

Scott,

please see inline (##PP3)

> why not add what you just sent to me?

##PP3
ok

> that would be a good addition

##PP3
ok, I will  modify the text

> should be made clearer including a pointer to the instructions for adding values to that existing registry

##PP3
Would the below be sufficient?

14.  IANA Considerations

    This specifications updates two existing registries:

       - OSPFv2 Extended Link TLV Sub-TLVs Registry

       - OSPFv3 Extended LSA Sub-TLV Registry

    New values are allocated using the IETF Review procedure as described
    in [RFC5226].

thanks,
Peter